
%global meadversion 1.8.3
%global namedversion 1.8.3.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package stax-ex}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.8.3.redhat-00002

Name:           %{?scl_prefix}stax-ex
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Extended StAX API
Group:          Development/Java

%if %with mead
Source100: stax-ex-1.8.3.redhat-00002-project-sources.tar.gz
Source102: stax-ex-1.8.3.redhat-00002-sources.jar
Source103: stax-ex-1.8.3.redhat-00002.jar
Source104: stax-ex-1.8.3.redhat-00002.pom
%endif

License:        CDDL-1.1 or GPLv2 with exceptions
URL:            http://stax-ex.java.net/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Extensions to JSR-173 StAX API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for stax-ex
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n stax-ex-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/stax-ex-%{namedversion}.jar %{buildroot}%{_javadir}/stax-ex-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/stax-ex-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/stax-ex-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/stax-ex-%{namedversion}-sources.jar %{buildroot}%{_javadir}/stax-ex-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/stax-ex-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/stax-ex-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/stax-ex-%{namedversion} -x META-INF/\*
%{__ln_s} stax-ex-%{namedversion} %{buildroot}%{_javadocdir}/stax-ex
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.md NOTICE.md README.md CONTRIBUTING.md
%{_javadir}/stax-ex-%{namedversion}.jar
%{_javadir}/stax-ex.jar
%if %with javadoc
%{_javadir}/stax-ex-%{namedversion}-javadoc.jar
%{_javadir}/stax-ex-javadoc.jar
%endif
%{_javadir}/stax-ex-%{namedversion}-sources.jar
%{_javadir}/stax-ex-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/stax-ex-%{namedversion}
%{_javadocdir}/stax-ex
%endif

%changelog
* Mon Mar 08 2021 Yong Yang <yyang@redhat.com> - 1.8.3-2.redhat_00002.1
- RPM wrapper build 1.8.3.redhat-00002

* Wed Mar 03 2021 Yong Yang <yyang@redhat.com> - 1.8.3-1.redhat_00001.1
- 1.8.3.redhat-00001

* Wed Oct 16 2019 Yong Yang <yyang@redhat.com> - 1.7.8-1.redhat_00001.1
- RPM wrapper build 1.7.8.redhat-00001

* Wed Oct 16 2019 Yong Yang <yyang@redhat.com> - 1.7.8-1.redhat_00001.1
- RPM wrapper build 1.7.8.redhat-00001

* Wed Oct 16 2019 Yong Yang <yyang@redhat.com> - 1.7.8.redhat-00001
- release
